<?php

	// クライアントキー
	$consumer_key = '' ;

	// キーワード
	$keyword = '舎人公園' ;

	// パラメータ
	$params = array(
		'appid' => $consumer_key ,
		'lang' => 'ja-JP' ,
		'format' => 'json' ,
		'view' => 'long' ,
	) ;

	// リクエストURL
	$request_url = 'http://where.yahooapis.com/v1/places.q(' . rawurlencode( $keyword ) . ')' . '?' . http_build_query( $params ) ;		// リクエストURL

	// アイテムデータをJSON形式で取得する (CURLを使用)
	$curl = curl_init() ;

	// オプションのセット
	curl_setopt( $curl , CURLOPT_URL , $request_url ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;								// 証明書の検証を行わない
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;								// curl_execの結果を文字列で返す
	curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;										// タイムアウトの秒数

	// 実行
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;

	// 終了
	curl_close( $curl ) ;

	// 取得したデータ
	$json = substr( $res1, $res2['header_size'] ) ;										// 取得したデータ(JSONなど)
	$header = substr( $res1, 0, $res2['header_size'] ) ;								// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// HTML用
	$html = '' ;

	// JSONデータをオブジェクト形式に変換する
	$obj = json_decode( $json ) ;

	// HTMLを作成
	$html .= '<h2>実行結果</h2>' ;

	// エラー判定
	if( !$obj || !isset($obj->places->place) || empty($obj->places->place) )
	{
		$html .= '<p>データを取得できませんでした…。設定を再確認して下さい。</p>' ;
	}
	else
	{
		// HTML
		$html .= '<p>「<b>' . $keyword . '</b>」で検索したところ、合計で<b>' . count( $obj->places->place ) . '</b>件の場所がヒットしました。</p>' ;

		// 解析
		foreach( $obj->places->place as $item )
		{
			// 各データ
			$woeid = $item->woeid ;		// WOEID
			$name = $item->name ;		// 場所名
			$latitude = $item->centroid->latitude ;		// 緯度
			$longitude = $item->centroid->longitude ;		// 経度

			// 出力
			$html .= '<dl>' ;
			$html .= 	'<dt>場所名</dt>' ;
			$html .= 		'<dd>' . $name . '</dd>' ;
			$html .= 	'<dt>WOEID</dt>' ;
			$html .= 		'<dd>' . $woeid . '</dd>' ;
			$html .= 	'<dt>緯度</dt>' ;
			$html .= 		'<dd>' . $latitude . '</dd>' ;
			$html .= 	'<dt>経度</dt>' ;
			$html .= 		'<dd>' . $longitude . '</dd>' ;
			$html .= '</dl>' ;
		}
	}

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>WOEIDを取得するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/how-to-use-woeid-api

	* 動作確認
	https://syncer.jp/how-to-use-woeid-api/demo/get-woeid.php

	* 最終更新日時
	2015/08/01 13:37

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/how-to-use-woeid-api">配布元: Syncer</a></p>






</body>
</html>
